unit newpbEntry;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, MainUnit,phonebook,misc;
var
  fCloseResult:Boolean;
type
  TfrmAddNewPBEntry = class(TForm)
    Label11: TLabel;
    txtName: TEdit;
    Label12: TLabel;
    txtNumber: TEdit;
    Label13: TLabel;
    txtGroup: TEdit;
    Label14: TLabel;
    cmbpMemType: TComboBox;
    btnAddEntry: TButton;
    procedure btnAddEntryClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    function Execute:boolean;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAddNewPBEntry: TfrmAddNewPBEntry;

implementation

{$R *.DFM}

procedure TfrmAddNewPBEntry.btnAddEntryClick(Sender: TObject);
var
   PhoneBookEntries : TPhoneBookEntries;
begin
  if btnAddEntry.caption= 'Add another' then
    begin
      txtName.text:='';
      txtNumber.text:='';
      txtGroup.text:='0';
      cmbpMemType.itemindex:=1;
      btnAddEntry.caption:= 'Add entry';
    end
  else
   begin
     frmMain.FBUS1.PhoneBook.AddPhoneBookEntry(TMemType(cmbpMemType.itemindex),txtName.text,txtNumber.text,txtGroup.text);
     with frmMain.lvPhoneBook.Items.add do
       begin
         PhoneBookEntries.MemType:=TMemType(cmbpMemType.itemindex);
         PhoneBookEntries.IMEI:=frmMain.FBUS1.PhoneInfo.IMEI;
         PhoneBookEntries.Name:=txtName.text;
         PhoneBookEntries.Number:=txtNumber.text;
         PhoneBookEntries.Group:=StrToInt(txtGroup.text);
         PhoneBookAdd(PhoneBookEntries);
         PhoneBookGet(TMemType(cmbpMemType.itemindex));
       end;
     fCloseResult:=true;
     btnAddEntry.caption:= 'Add another';
   end;
end;

procedure TfrmAddNewPBEntry.FormCreate(Sender: TObject);
begin
  cmbpMemType.itemindex:=1;
  fCloseResult:=false;
end;

function TfrmAddNewPBEntry.execute:boolean;
begin
  ShowModal;
  result:=fCloseResult;
end;



end.
